/*
			Copyright (c) 1994 by
			Advanced Visual Systems Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Advanced Visual Systems Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
	
	This file is under Perforce control
	$Id: //depot/express/fcs992/include/avs/gd_ren.h#2 $
*/

/*
 *  gd_ren.h - This file contains no definitions of its own.  Instead, it
 *             just includes the machine-specific verison of gd_ren.h.
 */

#ifndef _GD_REN_H_INCLUDED
#define _GD_REN_H_INCLUDED

#include <avs/port.h>

#if defined(__alpha) && !defined(MSDOS)
#include <alpha/gd_ren.h>
#endif

#ifdef __hpux
#ifdef hp1020
#ifdef hp1020ex
#include <hp1020ex/gd_ren.h>
#else
#include <hp1020/gd_ren.h>
#endif
#else
#ifdef hp10
#include <hp10/gd_ren.h>
#else
#ifdef hp2
#include <hp2/gd_ren.h>
#else
#include <hp/gd_ren.h>
#endif
#endif
#endif
#endif
#ifdef _AIX
#include <ibm/gd_ren.h>
#endif

#ifdef MSDOS
#ifdef _ALPHA_
#include <alpha_nt/gd_ren.h>
#else
#include <pc/gd_ren.h>
#endif
#endif

#ifdef sol7
#include <s7/gd_ren.h>
#else
#ifdef sol2
#ifdef s2o
#include <s2o/gd_ren.h>
#else
#include <s2/gd_ren.h>
#endif
#endif
#endif

#ifdef __sgi
#if defined(_ABIO32) && (_MIPS_SIM == _ABIO32)
#include <sgi/gd_ren.h>
#endif
#if defined(_ABIN32) && (_MIPS_SIM == _ABIN32)
#include <sgN32/gd_ren.h>
#endif
#if defined(_ABI64) && (_MIPS_SIM == _ABI64)
#include <sg6/gd_ren.h>
#endif
#endif

#ifdef sol1
#include <sun/gd_ren.h>
#endif

#endif /* _GD_REN_H_INCLUDED */
/* DON'T ADD ANYTHING AFTER THIS #endif */
